<!DOCTYPE html>
<html lang="en">

<head>
    <title>Task 30.10</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>

<body>
    <div class="container jumbotron">
        <h1>Login</h1>
        <form id="login-form">
            <div class="form-group">
                <label for="exampleInputEmail1">Email address</label>
                <input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp"
                    placeholder="Enter email">
                <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone
                    else.</small>
            </div>
            <div class="form-group">
                <label for="exampleInputPassword1">Password</label>
                <input type="password" class="form-control" id="exampleInputPassword1" placeholder="Password">
            </div>
            <button type="submit" class="btn btn-primary">Submit</button>
        </form>
    </div>
</body>
<script>
    'use strict';
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_STATUS_CREATED = 201;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gBASE_URL = "https://62458c222cfed18817229118.mockapi.io/users";
    const gBASE_URL_CONTACTS = "https://62458c222cfed18817229118.mockapi.io/contacts";

    var gLonginFormElement = document.getElementById("login-form");
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    gLonginFormElement.addEventListener("submit", function (paramEvent) {
        //Loại bỏ mặc định cấu hình form
        paramEvent.preventDefault();
        callAPILogin();
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */

    function callAPILogin() {
        //thu thập dữ liẹu
        var vEmailInput = document.getElementById("exampleInputEmail1").value;
        var vPasswordInput = document.getElementById("exampleInputPassword1").value;
        //Kiểm tra dữ liệu
        var vDuLieuHopLe = validate(vEmailInput,vPasswordInput)

        if (vDuLieuHopLe) {
            var vQueryParam = new URLSearchParams({
                email: vEmailInput,
                password: vPasswordInput,
            })
            //chuẩn bị gọi API
            var vXmlHttpLogin = new XMLHttpRequest();
            vXmlHttpLogin.open("GET", gBASE_URL + "?" + vQueryParam.toString(), true);
            vXmlHttpLogin.send();
            vXmlHttpLogin.onreadystatechange =
                function () {
                    if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                        var vLoginResponseText = vXmlHttpLogin.responseText
                        var vLoginInfo = JSON.parse(vLoginResponseText);
                        console.log(vLoginInfo)
                        if (vLoginInfo.length > 0) {
                            alert("Đăng nhập thành công");
                        }
                        else {
                            alert("Dăng nhập không thành công");
                        }
                    }
                }
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function validate(paramEmail, paramPassword) {
        if (!paramEmail.includes("@")) {
            alert("Email không đúng định dạng");
            return false;
        }
        if (paramPassword.length < 8) {
            alert("Password phải có từ 8 kí tự trở lên");
            return false;
        }
        return true;
    }
</script>

</html>